Package org.springframework.security.web.webauthn.management

# Class RelyingPartyAuthenticationRequest

java.lang.Object
org.springframework.security.web.webauthn.management.RelyingPartyAuthenticationRequest

All Implemented Interfaces:
  `Serializable`

public class RelyingPartyAuthenticationRequest extends Object implements Serializable
The data object used to provide the information necessary to authenticate a user with WebAuthn.

Since:
  6.4
See Also:
  - `WebAuthnRelyingPartyOperations.authenticate(RelyingPartyAuthenticationRequest)`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RelyingPartyAuthenticationRequest(PublicKeyCredentialRequestOptions requestOptions, PublicKeyCredential<AuthenticatorAssertionResponse> publicKey)`
Creates a new instance.

## Method Summary

Modifier and Type
Method
Description
`PublicKeyCredential<AuthenticatorAssertionResponse>`
`getPublicKey()`
Gets the public key.
`PublicKeyCredentialRequestOptions`
`getRequestOptions()`
Ges the request options.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RelyingPartyAuthenticationRequest

public RelyingPartyAuthenticationRequest(PublicKeyCredentialRequestOptions requestOptions, PublicKeyCredential<AuthenticatorAssertionResponse> publicKey)
Creates a new instance.

Parameters:
  `requestOptions` - the `PublicKeyCredentialRequestOptions`
  `publicKey` - the `PublicKeyCredential`

## Method Details

### getRequestOptions

public PublicKeyCredentialRequestOptions getRequestOptions()
Ges the request options.

Returns:
  the request options.

### getPublicKey

public PublicKeyCredential<AuthenticatorAssertionResponse> getPublicKey()
Gets the public key.

Returns:
  the public key.